Main Page Modules Data Structures File List Data Fields Globals Related Pages

# hashFunction Struct Reference
[Hash Functions]

`#include <beecrypt.h>`

## Data Fields
const char * | name
const unsigned int | paramsize
const unsigned int | blocksize
const unsigned int | digestsize
const hashFunctionReset | reset
const hashFunctionUpdate | update
const hashFunctionDigest | digest

## Detailed Description

Methods and parameters for hash functions. Specific hash functions MAY be written to be multithread-safe.

Definition at line 327 of file beecrypt.h.

## Field Documentation

const unsigned int hashFunction::blocksize

| in bytes Definition at line 332 of file beecrypt.h.

const hashFunctionDigest hashFunction::digest

| Definition at line 336 of file beecrypt.h. Referenced by hashFunctionContextDigest, hmacDigest, and hmacSetup.

const unsigned int hashFunction::digestsize

| in bytes Definition at line 333 of file beecrypt.h. Referenced by dhaes_pUsable, hashFunctionContextDigest, hmacDigest, and hmacSetup.

const char* hashFunction::name

| hash function name Definition at line 330 of file beecrypt.h.

const unsigned int hashFunction::paramsize

| in bytes Definition at line 331 of file beecrypt.h. Referenced by hashFunctionContextInit.

const hashFunctionReset hashFunction::reset

| Definition at line 334 of file beecrypt.h. Referenced by hashFunctionContextInit, hashFunctionContextReset, hmacReset, and hmacSetup.

const hashFunctionUpdate hashFunction::update

| Definition at line 335 of file beecrypt.h. Referenced by hashFunctionContextUpdate, hashFunctionContextUpdateMC, hashFunctionContextUpdateMP32, hmacDigest, hmacReset, hmacSetup, and hmacUpdate.

The documentation for this struct was generated from the following file:

- beecrypt/beecrypt.h